package com.ittim.admin.config;

import com.ittim.common.bean.RedisKeys;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.redis.connection.Message;
import org.springframework.data.redis.connection.MessageListener;
import org.springframework.stereotype.Component;

/**
 * redis主题消息监听器
 *
 * @author zhangzhenjun wrote on 2020/6/15.
 */
@Slf4j
@Component
public class TopicMessageListener implements MessageListener {

    /**
     * 客户端监听订阅的topic，当有消息的时候，会触发该方法
     */
    @Override
    public void onMessage(Message message, byte[] bytes) {
        byte[] body = message.getBody();
        byte[] channel = message.getChannel();
        String topic = new String(channel);
        String key = new String(body);
        log.info("topic -> " + topic + "， key -> " + key);
        try {
            if (key.startsWith(RedisKeys.TEST_KEY)) {
                //业务代码
                //.................
            }
        } catch (Exception e) {
            log.error("处理redis消息监听异常", e);
        }
    }
}
