package com.ittim.admin.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.api.R;
import com.ittim.admin.entity.Person;
import com.ittim.admin.service.PersonService;
import com.ittim.common.bean.PageRequest;
import com.ittim.common.enums.Status;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.wf.jwtp.annotation.Ignore;

/**
 * @author zzj
 * @Description 测试控制器
 * @date 2020/9/17
 */
@Slf4j
@RestController
@Api(value = "测试控制器",tags = "测试控制器")
@RequestMapping("/api/demo")
public class DemoController {

    private final PersonService personService;

    public DemoController(PersonService personService) {
        this.personService = personService;
    }

    @Ignore
    @GetMapping("/person")
    @ApiOperation(value = "列表全查", notes = "列表全查")
    public R<IPage<Person>> getPerson(PageRequest page) {
        IPage<Person> personPage = personService.selectOrderByCreateTime(page);
        return R.ok(personPage);
    }

    @Ignore
    @GetMapping("/personNew")
    @ApiOperation(value = "返回失败状态格式测试", notes = "返回失败状态格式测试")
    public R<String> getPersonNew() {
        return R.failed("这是测试失败");
    }

    @Ignore
    @GetMapping("/personTwo")
    @ApiOperation(value = "列表全查,自定义状态", notes = "列表全查,自定义状态")
    public R<IPage<Person>> getPersonTwo(PageRequest page,Person person) {
        IPage<Person> personPage = personService.selectByAll(page,person);
        return R.restResult(personPage, Status.SUCCESS);
    }

}
