package com.ittim.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import lombok.Data;

/**
 * @author zzj
 * @Description 人员表
 * @date 2020/9/28
 */
@ApiModel(value = "com-ittim-admin-entity-Person")
@Data
@TableName(value = "cnd_person")
public class Person {

    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Integer id;

    /**
     * 人名
     */
    @TableField(value = "person_name")
    @ApiModelProperty(value = "人名")
    private String personName;

    /**
     * 年龄
     */
    @TableField(value = "person_age")
    @ApiModelProperty(value = "年龄")
    private Integer personAge;

    /**
     * 电话
     */
    @TableField(value = "person_phone")
    @ApiModelProperty(value = "电话")
    private Long personPhone;

    /**
     * 住址
     */
    @TableField(value = "person_address")
    @ApiModelProperty(value = "住址")
    private String personAddress;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_PERSON_NAME = "person_name";

    public static final String COL_PERSON_AGE = "person_age";

    public static final String COL_PERSON_PHONE = "person_phone";

    public static final String COL_PERSON_ADDRESS = "person_address";

    public static final String COL_CREATE_TIME = "create_time";

    public static final String COL_UPDATE_TIME = "update_time";
}