package com.ittim.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * @author zzj
 * @Description 权限表
 * @date 2020/9/30
 */
@ApiModel(value = "com-ittim-admin-entity-SysAuthorities")
@Data
@TableName(value = "sys_authorities")
public class SysAuthorities implements Serializable {
    /**
     * (主键,自增)
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "(主键,自增)")
    private Integer id;

    /**
     * 授权标识
     */
    @TableField(value = "authority")
    @ApiModelProperty(value = "授权标识")
    private String authority;

    /**
     * 权限名称
     */
    @TableField(value = "authority_name")
    @ApiModelProperty(value = "权限名称,")
    private String authorityName;

    /**
     * 模块名称
     */
    @TableField(value = "parent_name")
    @ApiModelProperty(value = "模块名称")
    private String parentName;

    /**
     * 排序号
     */
    @TableField(value = "sort")
    @ApiModelProperty(value = "排序号")
    private Integer sort;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_AUTHORITY = "authority";

    public static final String COL_AUTHORITY_NAME = "authority_name";

    public static final String COL_PARENT_NAME = "parent_name";

    public static final String COL_SORT = "sort";

    public static final String COL_CREATE_TIME = "create_time";
}