package com.ittim.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * @author zzj
 * @Description 菜单表
 * @date 2020/9/30
 */
@ApiModel(value = "com-ittim-admin-entity-SysMenu")
@Data
@TableName(value = "sys_menu")
public class SysMenu implements Serializable {
    /**
     * 菜单id(主键,自增)
     */
    @TableId(value = "menu_id", type = IdType.INPUT)
    @ApiModelProperty(value = "菜单id(主键,自增)")
    private Integer menuId;

    /**
     * 上级菜单id
     */
    @TableField(value = "parent_id")
    @ApiModelProperty(value = "上级菜单id")
    private Integer parentId;

    /**
     * 菜单名称
     */
    @TableField(value = "menu_name")
    @ApiModelProperty(value = "菜单名称")
    private String menuName;

    /**
     * 菜单hash地址(路由地址)
     */
    @TableField(value = "menu_url")
    @ApiModelProperty(value = "菜单hash地址(路由地址)")
    private String menuUrl;

    /**
     * 菜单图标
     */
    @TableField(value = "menu_icon")
    @ApiModelProperty(value = "菜单图标")
    private String menuIcon;

    /**
     * 排序号
     */
    @TableField(value = "sort_number")
    @ApiModelProperty(value = "排序号")
    private String sortNumber;

    /**
     * 对应的权限标识
     */
    @TableField(value = "authority")
    @ApiModelProperty(value = "对应的权限标识")
    private String authority;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 修改时间
     */
    @TableField(value = "update_time")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public static final String COL_MENU_ID = "menu_id";

    public static final String COL_PARENT_ID = "parent_id";

    public static final String COL_MENU_NAME = "menu_name";

    public static final String COL_MENU_URL = "menu_url";

    public static final String COL_MENU_ICON = "menu_icon";

    public static final String COL_SORT_NUMBER = "sort_number";

    public static final String COL_AUTHORITY = "authority";

    public static final String COL_CREATE_TIME = "create_time";

    public static final String COL_UPDATE_TIME = "update_time";
}