package com.ittim.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * @author zzj
 * @Description 角色权限关联表
 * @date 2020/9/30
 */
@ApiModel(value = "com-ittim-admin-entity-SysRoleAuthorities")
@Data
@TableName(value = "sys_role_authorities")
public class SysRoleAuthorities implements Serializable {
    /**
     * (主键,自增)
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "(主键,自增)")
    private Integer id;

    /**
     * 角色id
     */
    @TableField(value = "role_id")
    @ApiModelProperty(value = "角色id")
    private Integer roleId;

    /**
     * 权限标识
     */
    @TableField(value = "authority")
    @ApiModelProperty(value = "权限标识")
    private String authority;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_ROLE_ID = "role_id";

    public static final String COL_AUTHORITY = "authority";

    public static final String COL_CREATE_TIME = "create_time";
}