package com.ittim.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * @author zzj
 * @Description 用户表
 * @date 2020/9/30
 */
@ApiModel(value = "com-ittim-admin-entity-SysUser")
@Data
@TableName(value = "sys_user")
public class SysUser implements Serializable {
    /**
     * 用户id(主键,自增)
     */
    @TableId(value = "user_id", type = IdType.INPUT)
    @ApiModelProperty(value = "用户id(主键,自增)")
    private Integer userId;

    /**
     * 账号
     */
    @TableField(value = "username")
    @ApiModelProperty(value = "账号")
    private String username;

    /**
     * 密码
     */
    @TableField(value = "`password`")
    @ApiModelProperty(value = "密码")
    private String password;

    /**
     * 昵称
     */
    @TableField(value = "nick_name")
    @ApiModelProperty(value = "昵称")
    private String nickName;

    /**
     * 性别
     */
    @TableField(value = "sex")
    @ApiModelProperty(value = "性别")
    private String sex;

    /**
     * 状态，0正常，1冻结
     */
    @TableField(value = "`state`")
    @ApiModelProperty(value = "状态，0正常，1冻结")
    private Integer state;

    /**
     * 注册时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value = "注册时间,")
    private Date createTime;

    /**
     * 修改时间
     */
    @TableField(value = "update_time")
    @ApiModelProperty(value = "修改时间,")
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public static final String COL_USER_ID = "user_id";

    public static final String COL_USERNAME = "username";

    public static final String COL_PASSWORD = "password";

    public static final String COL_NICK_NAME = "nick_name";

    public static final String COL_SEX = "sex";

    public static final String COL_STATE = "state";

    public static final String COL_CREATE_TIME = "create_time";

    public static final String COL_UPDATE_TIME = "update_time";
}